This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 507326 - Add "available, but not installed" warning to yum update
Add "available, but not installed" warning to yum update
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 07:25 EDT by Issue Tracker
Modified: 2014-01-21 01:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when a user attempted a yum update for a package that was not installed, yum would exit with the message No Packages marked for Update, whether the package were available or not. Although true, this message did not alert the user that such a package was available for installation. Now, if the package is available but not installed, yum notifies the user of this fact.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:34:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Issue Tracker 2009-06-22 07:25:49 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-06-22 07:25:51 EDT
Event posted on 2009-06-08 12:49 BST by mkpai


Hi Chris,

I have spoken to the RHN SEG.

1. We shouldn't ask for "yum update" to act like "rpm -Uvh". In other
words, engineering will not accept a suggestion to let "yum update
foo.i386" to install foo.i386 if it isn't installed already. This design
decision was taken so that yum never accidentally obsoletes any packages.

2. We could request that the F10 yum be brought forward to RHEL 5.3.

What do you suggest ?

Regards,
-- Pai

Internal Status set to 'Waiting on Support'

This event sent from IssueTracker by mpoole  [Support Engineering Group]
 issue 297489
Comment 2 Issue Tracker 2009-06-22 07:25:53 EDT
Event posted on 2009-06-09 15:29 BST by mkpai

SEG Escalation Template

All Issues: Problem Description
---------------------------------------------------
1. Time and date of problem:

Always

2. System architecture(s):

All

3. Provide a clear and concise problem description as it is understood at
the time of escalation. Please be as specific as possible in your
description. Do not use the generic term "hang", as that can mean many
things.

RHEL 5.3 has yum-3.2.19-18.el5. This version of yum does not generate a
warning on yum update if the package hasn't been installed. F10 which has
yum-3.2.21-2.fc10.noarch. This version of yum does the needful.

   Observed behavior:

[root@dhcp6-141 ~]# yum update pcre-6.6-2.el5_1.7.i386

Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update


   Desired behavior:

[root@localhost ~]# yum update pcre-7.8-1.fc10.i386

Loaded plugins: refresh-packagekit
Setting up Update Process
No Match for argument: pcre-7.8-1.fc10.i386
Package(s) pcre-7.8-1.fc10.i386 available, but not installed.
No Packages marked for Update

This example shows the result for the pcre package but is true for any
package.

4. Specific action requested of SEG:

Please provide yum-3.2.21-2.fc10.noarch for RHEL 5 as soon as possible.

5. Is a defect (bug) in the product suspected? yes/no

Yes
   Bugzilla number (if one already exists):

6. Does a proposed patch exist? yes/no
   If yes, attach patch, making sure it is in unified diff format (diff
-pruN)

yum-3.2.21-2.fc10.noarch exists for F10


All Issues: Supporting Information
------------------------------------------------------
1. Other actions already taken in working the problem (tech-list posting,
google searches, fulltext search, consultation with another engineer,
etc.):
   Relevant data found (if any):

a. tech-list thread starting
http://post-office.corp.redhat.com/archives/tech-list/2009-May/msg00665.html

b. Conversation with RHN SEG summarized

2. Attach sosreport.

Not necessary in this particular issue

3. Attach other supporting data (if any).

Not applicable

4. Provide issue reproduction information, including location and access
of reproducer machine, if available.
   Location and access information for reproducer machine:
   Steps to reproduce the problem:
      or
   Ticket update containing steps to reproduce the problem:

First the RHEL 5.3 system, 10.65.6.141 (root/redhat)

[root@dhcp6-141 ~]# uname -a

Linux dhcp6-141.pnq.redhat.com 2.6.18-128.el5 #1 SMP Wed Dec 17 11:41:38
EST 2008 x86_64 x86_64 x86_64 GNU/Linux

[root@dhcp6-141 ~]# yum update yum
Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update

[root@dhcp6-141 ~]# rpm -q yum
yum-3.2.19-18.el5

[root@dhcp6-141 ~]# rpm -qa | grep pcre
pcre-6.6-2.el5_1.7

[root@dhcp6-141 ~]# yum install pcre-6.6-2.el5_1.7.x86_64

Loaded plugins: rhnplugin, security
Setting up Install Process
Parsing package install arguments
Package pcre-6.6-2.el5_1.7.x86_64 already installed and latest version
Nothing to do

[root@dhcp6-141 ~]# yum update pcre-6.6-2.el5_1.7.x86_64

Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update

[root@dhcp6-141 ~]# yum update pcre-6.6-2.el5_1.7.i386

Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update

[root@dhcp6-141 ~]# yum update pcre

Loaded plugins: rhnplugin, security
Skipping security plugin, no data
Setting up Update Process
No Packages marked for Update

Now the F10 system, 10.65.7.124 (root/redhat)

[root@localhost ~]# uname -a

Linux localhost.localdomain 2.6.27.5-117.fc10.x86_64 #1 SMP Tue Nov 18
11:58:53 EST 2008 x86_64 x86_64 x86_64 GNU/Linux

[root@localhost ~]# yum update yum

Loaded plugins: refresh-packagekit
Setting up Update Process
No Packages marked for Update

[root@localhost ~]# rpm -q yum

yum-3.2.21-2.fc10.noarch

[root@localhost ~]# rpm -qa | grep pcre

pcre-7.8-1.fc10.x86_64

[root@localhost ~]# yum update pcre-7.8-1.fc10.x86_64

Loaded plugins: refresh-packagekit
Setting up Update Process
No Packages marked for Update

[root@localhost ~]# yum update pcre-7.8-1.fc10.i386

Loaded plugins: refresh-packagekit
Setting up Update Process
No Match for argument: pcre-7.8-1.fc10.i386
Package(s) pcre-7.8-1.fc10.i386 available, but not installed.
No Packages marked for Update

[root@localhost ~]# yum update pcre-7.8-1.fc10

Loaded plugins: refresh-packagekit
Setting up Update Process
No Packages marked for Update


5. Known hot-fix packages on the system:

Not applicable

6. Customer applied changes from the last 30 days:

Not applicable


Issue escalated to Support Engineering Group by: mkpai.
Internal Status set to 'Waiting on SEG'

This event sent from IssueTracker by mpoole  [Support Engineering Group]
 issue 297489
Comment 8 Chris Ward 2009-07-03 14:46:17 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 12 Ruediger Landmann 2009-09-01 15:52:17 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, when a user attempted a yum update for a package that was not installed, yum would exit with the message No Packages marked for Update, whether the package were available or not. Although true, this message did not alert the user that such a package was available for installation. Now, if the package is available but not installed, yum notifies the user of this fact.
Comment 13 errata-xmlrpc 2009-09-02 03:34:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1419.html

Note You need to log in before you can comment on or make changes to this bug.